<ng-template #noDataRef>
  <p class="noData">{{ 'shared.noData' | translate }}</p>
</ng-template>

<ng-template let-ghosts="ghosts" #ghostsRef>
  <sfl-swiper>
    <sfl-ghost-swiper-card *ngFor="let ghost of ghosts" @fadeOut></sfl-ghost-swiper-card>
  </sfl-swiper>
</ng-template>

<!------------------------------------------>
<header>
  <h1 class="top-appear">{{ 'home.title' | translate }}</h1>
</header>

<section>
  <h2 class="todayReleases fade-appear">{{ 'home.subtitle-1' | translate }}</h2>

  <!-- TodayRelease -->
  <ng-container *ngIf="ghostsRelease.length || todayReleases?.length; else noDataRef"></ng-container>
  <ng-container *ngTemplateOutlet="ghostsRelease.length ? ghostsRef : todayReleasesRef; context: { ghosts: ghostsRelease }"></ng-container>
  <ng-template #todayReleasesRef>
    <sfl-swiper>
      <sfl-swiper-release-card
        *ngFor="let item of todayReleases"
        [serie]="item"
        (seenEpisode)="seenEpisode($event)"
      ></sfl-swiper-release-card>
    </sfl-swiper>
  </ng-template>
</section>

<section>
  <h2 class="fade-appear">{{ 'home.subtitle-2' | translate }}</h2>
  <!-- Series -->
  <ng-container
    *ngIf="
      ghostsSeries.length ||
        currentSeries?.length ||
        ghostsFilms.length ||
        currentFilms?.length ||
        ghostsBooks.length ||
        currentBooks?.length;
      else noDataRef
    "
  ></ng-container>

  <ng-container *ngIf="ghostsSeries.length || currentSeries?.length">
    <h3>{{ 'home.sections.series' | translate }}</h3>
    <ng-container *ngTemplateOutlet="ghostsSeries.length ? ghostsRef : currentSeriesRef; context: { ghosts: ghostsSeries }"></ng-container>
  </ng-container>
  <ng-template #currentSeriesRef>
    <sfl-swiper>
      <sfl-swiper-card *ngFor="let item of currentSeries" [defaultMedia]="item"></sfl-swiper-card>
    </sfl-swiper>
  </ng-template>

  <!-- Films -->
  <ng-container *ngIf="ghostsFilms.length || currentFilms?.length">
    <h3>{{ 'home.sections.films' | translate }}</h3>
    <ng-container *ngTemplateOutlet="ghostsFilms.length ? ghostsRef : currentFilmsRef; context: { ghosts: ghostsFilms }"></ng-container>
  </ng-container>
  <ng-template #currentFilmsRef>
    <sfl-swiper>
      <sfl-swiper-card *ngFor="let item of currentFilms" [defaultMedia]="item"></sfl-swiper-card>
    </sfl-swiper>
  </ng-template>

  <!-- Books -->
  <ng-container *ngIf="ghostsBooks.length || currentBooks?.length">
    <h3>{{ 'home.sections.books' | translate }}</h3>
    <ng-container *ngTemplateOutlet="ghostsBooks.length ? ghostsRef : currentBooksRef; context: { ghosts: ghostsBooks }"></ng-container>
  </ng-container>
  <ng-template #currentBooksRef>
    <sfl-swiper>
      <sfl-swiper-card *ngFor="let item of currentBooks" [defaultMedia]="item"></sfl-swiper-card>
    </sfl-swiper>
  </ng-template>
</section>
